Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deepfs
Class DeepShell

    java.lang.Object
      org.deepfs.DeepShell

    public final class DeepShell

extends Object

Rudimentary shell to interact with a file hierarchy stored in XML.

Author:
  Workgroup DBIS, University of Konstanz 2005-10, ISC License, Alexander Holupirek

Nested Class Summary
`static interface` | `DeepShell.Command` Shell command description.

Method Summary
`void` | `help(String[] args)` Prints short help message for available commands.
`void` | `info(String[] args)` Prints stat information of file to stdout.
`void` | `list(String[] args)` Prints stat information of file to stdout.
`static void` | `main(String[] args)` A file hierarchy stored as XML.
`void` | `mkdir(String[] args)` Makes new directory.
`void` | `quit(String[] args)` Leaves the shell.
`void` | `rmdir(String[] args)` Removes existing directory.
`void` | `serialize(String[] args)` Serializes the FS instance.
`void` | `stat(String[] args)` Prints stat information of file to stdout.
`void` | `touch(String[] args)` Creates a file if it doesn't exist yet.
`void` | `tree(String[] args)` Creates a file if it doesn't exist yet.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### mkdir

    public void mkdir(String[] args)

  Makes new directory.

  Parameters:
    `args` - argument vector

### rmdir

    public void rmdir(String[] args)

  Removes existing directory.

  Parameters:
    `args` - argument vector

### touch

    public void touch(String[] args)

  Creates a file if it doesn't exist yet.

  Parameters:
    `args` - argument vector

### stat

    public void stat(String[] args)

  Prints stat information of file to stdout.

  Parameters:
    `args` - argument vector

### tree

    public void tree(String[] args)

  Creates a file if it doesn't exist yet.

  Parameters:
    `args` - argument vector

### list

    public void list(String[] args)

  Prints stat information of file to stdout.

  Parameters:
    `args` - argument vector

### info

    public void info(String[] args)

  Prints stat information of file to stdout.

  Parameters:
    `args` - argument vector

### help

    public void help(String[] args)

  Prints short help message for available commands.

  Parameters:
    `args` - argument vector

### quit

    public void quit(String[] args)

  Leaves the shell.

  Parameters:
    `args` - argument vector (currently not used)

### serialize

    public void serialize(String[] args)

  Serializes the FS instance.

  Parameters:
    `args` - argument vector (currently not used)

### main

    public static void main(String[] args)

  A file hierarchy stored as XML.

  Parameters:
    `args` - command-line arguments

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD